## golang-github-colinmarc-hdfs 2.3.0

=== Makefile ===
HADOOP_COMMON_PROTOS = $(shell find internal/protocol/hadoop_common -name '*.proto')
HADOOP_HDFS_PROTOS = $(shell find internal/protocol/hadoop_hdfs -name '*.proto')
GENERATED_PROTOS = $(shell echo "$(HADOOP_HDFS_PROTOS) $(HADOOP_COMMON_PROTOS)" | sed 's/\.proto/\.pb\.go/g')
SOURCES = $(shell find . -name '*.go') $(GENERATED_PROTOS)

# Protobuf needs one of these for every 'import "foo.proto"' in .protoc files.
PROTO_MAPPING = MSecurity.proto=github.com/colinmarc/hdfs/v2/internal/protocol/hadoop_common

TAG ?= $(shell git rev-parse HEAD)
ARCH = $(shell go env GOOS)-$(shell go env GOARCH)
RELEASE_NAME = gohdfs-$(TAG)-$(ARCH)

all: hdfs

%.pb.go: $(HADOOP_HDFS_PROTOS) $(HADOOP_COMMON_PROTOS)
	echo $(HADOOP_COMMON_PROTOS)
	protoc --go_out=internal/protocol/hadoop_common --go_opt=paths=source_relative -Iinternal/protocol/hadoop_common -Iinternal/protocol/hadoop_hdfs $(HADOOP_COMMON_PROTOS)
	protoc --go_out=internal/protocol/hadoop_hdfs --go_opt=paths=source_relative -Iinternal/protocol/hadoop_common -Iinternal/protocol/hadoop_hdfs $(HADOOP_HDFS_PROTOS)

clean-protos:
	find . -name *.pb.go | xargs rm

hdfs: clean $(SOURCES)
	go build -ldflags "-X main.version=$(TAG)" ./cmd/hdfs

test: hdfs
	go test -v -race -timeout 30s ./...
	bats ./cmd/hdfs/test/*.bats

clean:
	rm -f ./hdfs
	rm -rf gohdfs-*

release: hdfs
	mkdir -p $(RELEASE_NAME)
	cp hdfs README.md LICENSE.txt cmd/hdfs/bash_completion $(RELEASE_NAME)/
	tar -cvzf $(RELEASE_NAME).tar.gz $(RELEASE_NAME)

.PHONY: clean clean-protos install test release

=== debian/changelog ===
golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 13:33:13 +1000

golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 10:23:10 +1000

golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 08:13:08 +0530

golang-github-colinmarc-hdfs (2.3.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:56 +1200

golang-github-colinmarc-hdfs (2.3.0-2) unstable; urgency=medium

  * Re-upload after rejection (due to missing
    golang-github-jcmturner-gokrb5.v8 at time of acceptance)

 -- Matthew Vernon <matthew@debian.org>  Tue, 06 Dec 2022 23:15:25 +0000

golang-github-colinmarc-hdfs (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024442)
  * Uploaded with the consent of Drew Parsons (who opened the ITP)
  * Some build-deps still in NEW: golang-github-jcmturner-aescts.v2-dev,
    golang-github-jcmturner-dnsutils.v2-dev,
    golang-github-jcmturner-goidentity.v6-dev,
    golang-github-jcmturner-rpc.v2-dev,
    golang-github-jcmturner-gokrb5.v8-dev

 -- Matthew Vernon <matthew@debian.org>  Mon, 05 Dec 2022 16:16:52 +0000

=== debian/control ===
Source: golang-github-colinmarc-hdfs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Matthew Vernon <matthew@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       golang-github-jcmturner-gokrb5.v8-dev,
               golang-github-pborman-getopt-dev,
               golang-github-stretchr-testify-dev,
               golang-google-protobuf-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs.git
Homepage: https://github.com/colinmarc/hdfs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/colinmarc/hdfs

Package: hdfs-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: CLI client for HDFS, written in go
 This is a commandline client for HDFS, written in go.
 Its primary aim is to be idiomatic, by enabling
 your favorite unix verbs (mv, ls, etc.).

Package: golang-github-colinmarc-hdfs-dev
Architecture: all
Depends: ${misc:Depends},
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-pborman-getopt-dev,
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev
Built-Using: ${misc:Built-Using}
Description: Native go client library for HDFS
 This is a native golang client for hdfs. It connects directly to the
 namenode using the protocol buffers API.
 .
 It tries to be idiomatic by aping the stdlib os package, where possible,
 and implements the interfaces from it, including os.FileInfo and
 os.PathError.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

#Skip the tests, since client_test.go needs a hadoop cluster available to it
override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/colinmarc/hdfs/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-colinmarc-hdfs 2.4.0

=== debian/changelog ===
golang-github-colinmarc-hdfs (2.4.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Depends: golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~)
  * update debian/watch to v5 GitHub template
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Feb 2026 13:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-colinmarc-hdfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Matthew Vernon <matthew@debian.org>
 Section: golang
@@ -9,11 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-	       golang-github-jcmturner-gokrb5.v8-dev,
+	       golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~),
                golang-github-pborman-getopt-dev,
                golang-github-stretchr-testify-dev,
                golang-google-protobuf-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs.git
 Homepage: https://github.com/colinmarc/hdfs
@@ -33,7 +32,7 @@
 Package: golang-github-colinmarc-hdfs-dev
 Architecture: all
 Depends: ${misc:Depends},
- golang-github-jcmturner-gokrb5.v8-dev,
+ golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~),
  golang-github-pborman-getopt-dev,
  golang-github-stretchr-testify-dev,
  golang-google-protobuf-dev

=== debian/watch ===
Version: 5

Template: GitHub
Owner: colinmarc
Project: hdfs
